Package | Class | Tree | Deprecated | Index | Help
| EL 2.2 - Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.el
Class VariableMapper

    java.lang.Object
      javax.el.VariableMapper

    public abstract class VariableMapper

extends java.lang.Object

Constructor Summary
`VariableMapper()`

Method Summary
`abstract ValueExpression` | `resolveVariable(java.lang.String variable)`
`abstract ValueExpression` | `setVariable(java.lang.String variable, ValueExpression expression)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VariableMapper

    public VariableMapper()

Method Detail

### resolveVariable

    public abstract ValueExpression resolveVariable(java.lang.String variable)

### setVariable

    public abstract ValueExpression setVariable(java.lang.String variable,
                                                ValueExpression expression)

Package | Class | Tree | Deprecated | Index | Help
| EL 2.2 - Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.